VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
vmware::vapi::std::errors::InternalServerError Class Reference

The `InternalServerError` error indicates that the server encounters an unexpected condition that prevented it from fulfilling the request. More...

Inherits vmware::vapi::std::errors::Error.

List of all members.

## Public Member Functions
| InternalServerError (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages, vmware.vapi.bindings.IStructure data)
| Creates a new instance of this type using the given arguments.
| InternalServerError ()
| Creates a default new instance.
override vmware.vapi.bindings.type.StructType | _GetType ()
override vmware.vapi.data.StructValue | _GetDataValue ()
override void | _Validate ()
override bool | _HasTypeNameOf< T > ()
override T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
## Properties
override string | Message`[get]`

## Detailed Description

The `InternalServerError` error indicates that the server encounters an unexpected condition that prevented it from fulfilling the request.

This error is reported by the API infrastructure, so it could occur in response to the invocation of any method.

Examples:

- The method returns a value whose type doesn't match the type type the method says it should return.
- The method reports an error that is not included in the list of errors the method says that it can report.

## Constructor & Destructor Documentation

vmware::vapi::std::errors::InternalServerError::InternalServerError | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages,
|  | vmware.vapi.bindings.IStructure | data
| ) |  | `[inline]`

Creates a new instance of this type using the given arguments.

vmware::vapi::std::errors::InternalServerError::InternalServerError | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

override T vmware::vapi::std::errors::InternalServerError::_ConvertTo< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.data.StructValue vmware::vapi::std::errors::InternalServerError::_GetDataValue | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::InternalServerError::_GetType | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::InternalServerError::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override void vmware::vapi::std::errors::InternalServerError::_Validate | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::InternalServerError::Equals | ( | object | obj | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override int vmware::vapi::std::errors::InternalServerError::GetHashCode | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

## Property Documentation

override string vmware::vapi::std::errors::InternalServerError::Message`[get]`

Reimplemented from vmware::vapi::std::errors::Error.

The documentation for this class was generated from the following file:

- InternalServerError.cs